Pre-release — content may change.

Organizations

Delete (archive) an organization

DELETE
/organizations/{id}

Soft-deletes the organization by starting an asynchronous archive task. Returns 202 Accepted with the archive task resource; the Content-Location header points at the task. Returns 405 when the organization cannot be deleted (e.g. it has restricted relationships or soft-delete is not supported for it).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Organization UUID.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {}}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}